{% extends 'base.html' %}
{% load static %}
{% block title %}Smile Story{% endblock %}


{% block content %}

    {#    dynamic carousel#}
    <div id="SmileCarousel" class="carousel slide" data-bs-ride="carousel">
        <div class="carousel-indicators">
            {% for object in obj %}
                <button type="button" data-bs-target="#SmileCarousel" data-bs-slide-to="{{ forloop.counter0 }}"
                        class="active"
                        aria-current="true" aria-label="Slide 1"></button>
            {% endfor %}

        </div>
        <div class="carousel-inner">
            {% for object in obj %}
                <div class="carousel-item {% if forloop.counter0 == 0 %} active {% endif %}">
                    <img src="{{ object.img.url }}" class="d-block w-100"
                         alt="Carousel Image">

                    <span class="carousel-caption">

                            <h4><strong style="font-family: Quicksand">{{ object.title }}</strong></h4>
                            <strong><p style="font-family: Poppins">{{ object.description }}</p></strong>

                    </span>

                </div>
            {% endfor %}
        </div>
        <button class="carousel-control-prev" type="button" data-bs-target="#SmileCarousel"
                data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#SmileCarousel"
                data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Next</span>
        </button>
    </div>
    <div class="container-fluid">
        {#    first page cards#}
{#        <div class="row py-4 gy-2 mx-auto">#}
{#            {% for card in first_page_card %}#}
{#                <div class="col-md-3 col-6 imgbox">#}
{#                    <a href="#">#}
{#                        <img src="{{ card.img.url }}" class="rounded-5 fp_cards center-fit">#}
{#                    </a>#}
{##}
{#                </div>#}
{#            {% endfor %}#}

{#        </div>#}

        {#first page article#}
        <div class="m-1">
            {% for article in first_page_article %}
                <div class="row g-3">
                    <div class="col-lg-4 offset-lg-1 col-md-4 fp_art_img">
                        <img src="{{ article.img.url }}" class="img-fluid p-2 rounded-4"
                             alt="about us">
                    </div>
                    <div class="col-lg-6 col-md-8 pb-3">

                        <h4 class="border-bottom smile_blue" style="font-family: Quicksand">
                            <strong>{{ article.title }}</strong>
                        </h4>
                        <div class="fp_content" id="content_{{ forloop.counter0 }}">
                            <p class="card-text"
                               style="text-align: justify">{{ article.content | linebreaks | safe }}</p>
                            <div class="fade-out" style="box-shadow: 0 -100px 50px -80px white inset"></div>
                        </div>
                        <button type="button" class="btn m-1"
                                data-bs-toggle="modal"
                                data-bs-target="#exampleModal"
                                onclick="copyDataToModal('content_{{ forloop.counter0 }}','{{ article.title }}')">
                            Citeste mai mult <i class="fas fa-circle-arrow-right"></i>
                        </button>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>

{% endblock %}
